Bug 3134 - People leaving Nokia with assigned bugs
: People leaving Nokia with assigned bugs
Status: RESOLVED FIXED
Product: maemo.org Website
Bugzilla
: unspecified
: All Linux
: High normal (vote)
: ---
Assigned To: Andre Klapper
: Ferenc Szekely
:
:
:
:
  Show dependency tree
 
Reported: 2008-05-05 13:41 UTC by Quim Gil
Modified: 2008-06-23 16:09 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Quim Gil (reporter) nokia 2008-05-05 13:41:31 UTC
According to http://tko.jaiku.com/presence/33829226 at least Fernando, Dominic,
Xan and Tommi have bugs assigned since the times that worked at Nokia.

Can someone look at these bugs? Also give the proper permissions to these users
just in case they had special ones.

Beyond the short term action, we should have some checklist for the situation
when a Nokia employee with a user account here leaves the company.
Comment 1 Andre Klapper maemo.org 2008-05-05 15:15:21 UTC
listing their explicit email ids used in maemo bugzilla makes this less
error-prone. i don't want to steal tasks from developers just because i thought
they were someone else ;-)
Comment 3 Andre Klapper maemo.org 2008-05-06 16:02:24 UTC
and also lucas.rocha@nokia.com i guess
Comment 4 Dave Neary maemo.org 2008-05-13 11:10:43 UTC
Just wondering - what happens if the person who leaves Nokia wants to keep
working on maemo?
Comment 5 Marcell Lengyel maemo.org 2008-05-13 12:27:05 UTC
I would say that they are free to do that of course, but in any case the
@nokia.com e-mail addresses are not valid anymore and should be removed. If the
same people would like to continue to work on the bugs they can comment on the
specific bugs and volunteer and ask that the bugs are assigned back to them.
They should get new user ids however. That's my personal opinion.
Comment 7 Andre Klapper maemo.org 2008-06-09 13:15:57 UTC
reassigned open bugs of
 fernando.herrera-de-las-heras@nokia.com
 jami.pekkanen@nokia.com
 ext-teemu.hukkanen@nokia.com
 jake.kunnari@nokia.com
and changed any default assignee settings too.
closing as FIXED.

Fernando was set as default assignee for "system software -> python" - anybody
new?
Comment 8 Andre Klapper maemo.org 2008-06-09 13:17:27 UTC
(In reply to comment #4)
> Just wondering - what happens if the person who leaves Nokia wants to keep
> working on maemo?

The person simply changes his/her email address in his/her Maemo Bugzilla
settings.
Comment 9 Quim Gil (reporter) nokia 2008-06-10 09:00:52 UTC
> Fernando was set as default assignee for "system software -> python" - 
> anybody new?

Python is not officially supported at the moment, so we can safely remove this
component.
Comment 10 Andre Klapper maemo.org 2008-06-10 11:39:11 UTC
(In reply to comment #9)
> Python is not officially supported at the moment, so we can safely remove this
> component.

10 bugs, all closed. No need to trigger noise and destroy metadata by moving
them to the "General" component.
Instead I changed the component description to "Please DO NOT file bugs here -
Python is not supported at the moment." and will slap every reporter ignoring
it. ;-)
Comment 11 Eero Tamminen nokia 2008-06-12 17:10:15 UTC
> Instead I changed the component description to "Please DO NOT file bugs here -
> Python is not supported at the moment." and will slap every reporter ignoring
> it. ;-)

There are several maemo project related to python, maybe it could point out
them and their bug trackers?  For example:
  http://pymaemo.garage.maemo.org/
Comment 12 Andre Klapper maemo.org 2008-06-13 00:38:51 UTC
> There are several maemo project related to python, maybe it could point out
> them and their bug trackers?  For example:
>   http://pymaemo.garage.maemo.org/

Good idea. Updated the description, thanks!
Comment 13 Andre Klapper maemo.org 2008-06-23 16:09:13 UTC
tommi.komulainen@nokia.com has also left (thanks for the info, eero)